Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 22-08-2021 18:32:46

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

bumblebee ne fonctionne pas

Bonjour,

Pour expliquer le contexte : J'ai installé trois jeux sur steam avec Proton et j'en ai essayer l'un d'eux. Le problème est que le jeux en question tourne sur mon iGPU.
J'ai donc fait des recherches pour comprendre comment switcher sur ma carte dédiée et je suis tomber sur tout ce qui tourne autour de Optimus.

Le driver "nouveau" était déjà installé et j'ai donc juste suivi ce tuto : https://debian-facile.org/doc:materiel: … ia:optimus pour installer bumblebee et pour utiliser optirun.

Le problème est que j'ai eu une première erreur "Cannot access secondary GPU - error: Could not load GPU driver" que j'ai résolu toujours en me fiant au tuto,
mais ensuite j'ai une autre erreur que je ne comprend pas comment résoudre qui est celle ci :

[ 1117.462730] [ERROR]The Bumblebee daemon has not been started yet or the socket path /var/run/bumblebee.socket was incorrect.
[ 1117.462793] [ERROR]Could not connect to bumblebee daemon - is it running?
 



Si vous pouvez m'aider, merci d'avance merci.gif

Dernière modification par KyoTensu (22-08-2021 18:33:21)

Hors ligne

#2 22-08-2021 20:38:13

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : bumblebee ne fonctionne pas

Bonsoir
pour aider et avoir des réponses
ton profil sur le forum (bureau , noyau , version de debian etc )
le retour de lspci


lspci
 


le retour de glxinfo -B (il faut le paquet "mesa-utils" doit être installer installer


glxinfo -B
 



une description de ta machine (portable , cpu , gpu )

tu peu aussi tester sur la carte nvidia


optirun glxinfo -B
 



vérifier si des erreurs


journalctl -r -p err
 



vérifier si le firmware nonfree est installer


apt policy firmware-misc-nonfree
 


ps: il est util pour intel et nvidia (avec nouveau)

une description des choses que tu a fais a partir du wiki => https://debian-facile.org/doc:materiel: … ia:optimus
(les commandes que tu a utiliser )

Dernière modification par robert2a (22-08-2021 20:48:17)

Hors ligne

#3 22-08-2021 21:35:43

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

Bonsoir big_smile,
oui j'avais oublier de donner ma config désolé ^^' donc j'ai mis a jour mon profil et ma config est la suivante : pc portable lenovo legion y520, i5-7300HQ, gtx 1060 max-q 6 GB, SSD samsung 128 GB + HDD Toshiba 1 TB.

lspci :

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 05)
00:01.0 PCI bridge: Intel Corporation 6th-10th Gen Core Processor PCIe Controller (x16) (rev 05)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 630 (rev 04)
00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controller #1 (rev 31)
00:17.0 SATA controller: Intel Corporation HM170/QM170 Chipset SATA Controller [AHCI Mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #3 (rev f1)
00:1c.3 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #4 (rev f1)
00:1d.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 (rev f1)
00:1f.0 ISA bridge: Intel Corporation HM175 Chipset LPC/eSPI Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Controller (rev 31)
00:1f.3 Audio device: Intel Corporation CM238 HD Audio Controller (rev 31)
00:1f.4 SMBus: Intel Corporation 100 Series/C230 Series Chipset Family SMBus (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GP106M [GeForce GTX 1060 Mobile] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GP106 High Definition Audio Controller (rev a1)
02:00.0 Network controller: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter (rev 31)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)
04:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM961/PM961/SM963
 



glxinfo iGPU :

name of display: :0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel (0x8086)
    Device: Mesa Intel(R) HD Graphics 630 (KBL GT2) (0x591b)
    Version: 20.3.5
    Accelerated: yes
    Video memory: 3072MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.6
    Max compat profile version: 4.6
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL vendor string: Intel
OpenGL renderer string: Mesa Intel(R) HD Graphics 630 (KBL GT2)
OpenGL core profile version string: 4.6 (Core Profile) Mesa 20.3.5
OpenGL core profile shading language version string: 4.60
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.6 (Compatibility Profile) Mesa 20.3.5
OpenGL shading language version string: 4.60
OpenGL context flags: (none)
OpenGL profile mask: compatibility profile

OpenGL ES profile version string: OpenGL ES 3.2 Mesa 20.3.5
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 



je ne peut pas faire le glxinfo sur la carte nvidia car la commande optirun me renvoie l'erreur que j'ai donner

J'ai regarder la liste d'erreurs et j'ai trouver des erreurs de firmware nvidia qui ne load pas :

août 22 17:24:03 pc-loic kernel: nouveau 0000:01:00.0: firmware: failed to load nvidia/gp106/acr/bl0.0: firmware: failed to load nvidia/gp106/acr/bl.bin (-2)
août 22 17:24:03 pc-loic kernel: nouveau 0000:01:00.0: firmware: failed to load nvidia/gp106/nvdec/0.0: firmware: failed to load nvidia/gp106/nvdec/scrubber.bin (-2)



et non effectivement le firmware nonfree n'est pas installer donc je vais le faire.
EDIT: je viens de le faire et ca n'a rien changé

pour les commandes effectuées car j'avais oublier

installer bumblebee avec 'nouveau':

sudo apt install bumblebee mesa-utils



installation de VirtualGL:
téléchargement de l'archive

cd Téléchargements/
sudo gdebi virtualgl_2.6.90_amd64.deb


je l'ai fait avec gdebi car ca ne fonctionnait pas avec dpkg

ajout d'utilisateur au groupe 'bumblebee' :

adduser USER bumblebee



et voila tout !

Dernière modification par KyoTensu (22-08-2021 22:36:45)

Hors ligne

#4 23-08-2021 12:23:34

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : bumblebee ne fonctionne pas

Bonjour
bon déjà tu peu jouer a des petits jeux , le gpu intel est correct
vue que le retour de glxinfo -B est bon , tu devais avoir le paquet "firmware-misc-nonfree" installé  pour intel et le gpu 630
pour nouveau il y a toujours quelque chose qui ne va pas

la bonne question , avec KDE et deux cartes "VGA" , pas autre chose que "bumblebee" ?
par contre ta commande pour bumblebee


apt-get --reinstall install bumblebee primus
 


nota: tu n'a que la prise en charge du 64bits (pas du 32)

il existe quelque chose , lorsque tu a 2 cartes nommer "VGA" et pas "VGA et 3D" sur le retour de lspci
je n'ai plus la commande en tête , mais ça te permet un switch entre les deux cartes sans bumblebee (ça fonctionne sur gnome) , et peut être sous Wayland

pour revenir a bumblebee voila un retour en simulation (pas de portable , sur un pc de bureau avec un gpu intel ) et le 32 bits activer (i386)


apt-get -s --reinstall install bumblebee primus
 


retour


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  librest-0.7-0
Veuillez utiliser « apt autoremove » pour le supprimer.
Les paquets supplémentaires suivants seront installés :
  bbswitch-dkms libgl1:i386 libglx0:i386 libprimus-vk1 libprimus-vk1:i386 primus-libs primus-libs:i386
Paquets suggérés :
  bumblebee-nvidia primus-nvidia
Les NOUVEAUX paquets suivants seront installés :
  bbswitch-dkms bumblebee libgl1:i386 libglx0:i386 libprimus-vk1 libprimus-vk1:i386 primus primus-libs primus-libs:i386
0 mis à jour, 9 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst bumblebee (3.2.1-27 Debian:11.0/stable, Debian:testing [amd64])
Inst bbswitch-dkms (0.8-10 Debian:11.0/stable, Debian:testing [amd64])
Inst libprimus-vk1 (1.6.1-1 Debian:11.0/stable, Debian:testing [amd64])
Inst libprimus-vk1:i386 (1.6.1-1 Debian:11.0/stable, Debian:testing [i386])
Inst primus-libs (0~20150328-13 Debian:11.0/stable, Debian:testing [amd64])
Inst primus (0~20150328-13 Debian:11.0/stable, Debian:testing [amd64])
Inst libglx0:i386 (1.3.2-1 Debian:11.0/stable, Debian:testing [i386])
Inst libgl1:i386 (1.3.2-1 Debian:11.0/stable, Debian:testing [i386])
Inst primus-libs:i386 (0~20150328-13 Debian:11.0/stable, Debian:testing [i386])
Conf bumblebee (3.2.1-27 Debian:11.0/stable, Debian:testing [amd64])
Conf bbswitch-dkms (0.8-10 Debian:11.0/stable, Debian:testing [amd64])
Conf libprimus-vk1 (1.6.1-1 Debian:11.0/stable, Debian:testing [amd64])
Conf libprimus-vk1:i386 (1.6.1-1 Debian:11.0/stable, Debian:testing [i386])
Conf primus-libs (0~20150328-13 Debian:11.0/stable, Debian:testing [amd64])
Conf primus (0~20150328-13 Debian:11.0/stable, Debian:testing [amd64])
Conf libglx0:i386 (1.3.2-1 Debian:11.0/stable, Debian:testing [i386])
Conf libgl1:i386 (1.3.2-1 Debian:11.0/stable, Debian:testing [i386])
Conf primus-libs:i386 (0~20150328-13 Debian:11.0/stable, Debian:testing [i386])
 



tu peu faire la commande sans souci (simulation) , sinon en vrai tu supprime le "-s"

renseigne toi sur l'autre manière de faire et dans quelle configuration
voila je pourrai pas t' aider plus
pour nvidia , pas trop d' alternative si nouveau bug , le pilote "nonfree" nvidia
la commande pour bumblebee devient alors :


apt install --reinstall bumblebee-nvidia primus libglx-nvidia0
 


ps: tu peu simuler sur cette commande avec l'option "-s" aussi

remarque : je vois sur mon retour au dessus


Paquets suggérés :
  bumblebee-nvidia primus-nvidia
 


il existe un paquet "primus-nvidia"


apt policy primus-nvidia
primus-nvidia:
  Installé : (aucun)
  Candidat : 0~20150328-13
 Table de version :
     0~20150328-13 500
        500 https://deb.debian.org/debian bullseye/contrib amd64 Packages
        500 https://deb.debian.org/debian bookworm/contrib amd64 Packages
 


ps: je suis en testing , mais il est aussi sur stable (bullseye)
a priori c'est nouveau , le wiki n'en parle pas

la description du paquet


This metapackage ensures that the proprietary NVIDIA driver is installed in a
way such that 3D acceleration does not break. It does so by configuring the
OpenGL library path to use the Mesa graphics library.
 



a priori ça résoud ceci => "libglx-nvidia0"  , la librairie pour la 3D (a vérifier)

j'ajoute ce lien =>  https://wiki.debian.org/NVIDIA%20Optimus
j'ai trouver ceci mais me plaît pas (en root)


To switch back to Intel graphics, simply select Intel in PRIME Profiles. You can also use terminal commands
to switch graphics card. For example, this command will switch to Intel graphics card.
sudo prime-select intel

To switch to Nvidia card:
sudo prime-select nvidia

To check which card is being used right now, run this command:
prime-select query
 

Dernière modification par robert2a (23-08-2021 16:18:52)

Hors ligne

#5 23-08-2021 16:47:23

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

Du coup j'ai executer cette commande :

apt install --reinstall bumblebee-nvidia primus libglx-nvidia0



puis j'ai installer le paquet primus-nvidia et ca fonctionne tres bien avec glxgears mais quand j'essaye sur steam ca plante au lancement du jeu donc je vais essayer de faire des recherches la-dessus.

vu que maintenant je peut le faire, je met le résultat de optirun glxinfo -B:

name of display: :0
display: :0  screen: 0
direct rendering: Yes
Memory info (GL_NVX_gpu_memory_info):
    Dedicated video memory: 6144 MB
    Total available memory: 6144 MB
    Currently available dedicated video memory: 6068 MB
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: NVIDIA GeForce GTX 1060 with Max-Q Design/PCIe/SSE2
OpenGL core profile version string: 4.6.0 NVIDIA 470.57.02
OpenGL core profile shading language version string: 4.60 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.6.0 NVIDIA 470.57.02
OpenGL shading language version string: 4.60 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)

OpenGL ES profile version string: OpenGL ES 3.2 NVIDIA 470.57.02
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 



mais du coup merci pour m'avoir aider déjà sur ce premier problème merci.gif

Hors ligne

#6 23-08-2021 22:07:58

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : bumblebee ne fonctionne pas

Bonsoir

tu a essayer de lancer firefox sur la carte nvidia ?
le jeux demande beaucoup de puissance ?

comment tu lance le jeux avec optirun ? (sur la carte nvidia )

peut être un jeux en i386?

donc la commande serait maintenant sur bullseye


apt install --reinstall bumblebee-nvidia primus-nvidia
 



steam a besoin du i386 pour fonctionner correctement tu la fait ?

une simulation sur une machine chez moi


Les paquets supplémentaires suivants seront installés :
  bbswitch-dkms bumblebee libprimus-vk1 libprimus-vk1:i386 nvidia-primus-vk-common nvidia-primus-vk-wrapper nvidia-primus-vk-wrapper:i386
  primus primus-libs primus-libs:i386
Les NOUVEAUX paquets suivants seront installés :
  bbswitch-dkms bumblebee bumblebee-nvidia libprimus-vk1 libprimus-vk1:i386 nvidia-primus-vk-common nvidia-primus-vk-wrapper
  nvidia-primus-vk-wrapper:i386 primus primus-libs primus-libs:i386 primus-nvidia
0 mis à jour, 12 nouvellement installés, 0 à enlever et 0 non mis à jour.
 



j'ai déjà le driver nvidia sur cette machine


glxinfo -B
name of display: :0
display: :0  screen: 0
direct rendering: Yes
Memory info (GL_NVX_gpu_memory_info):
    Dedicated video memory: 2048 MB
    Total available memory: 2048 MB
    Currently available dedicated video memory: 1916 MB
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 750 Ti/PCIe/SSE2
OpenGL core profile version string: 4.6.0 NVIDIA 460.91.03
OpenGL core profile shading language version string: 4.60 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.6.0 NVIDIA 460.91.03
OpenGL shading language version string: 4.60 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)

OpenGL ES profile version string: OpenGL ES 3.2 NVIDIA 460.91.03
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 



pourquoi j'ai pas la même version du driver que toi , moi 460.91.03  , toi  470.57.02

Dernière modification par robert2a (23-08-2021 22:21:18)

Hors ligne

#7 23-08-2021 22:39:04

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

Bonsoir,

je viens d'essayer de lancer chrome avec optirun et ca a fonctionner.
Le jeu n'est pas extremement gourmand en soit, il tournnais très bien sur Windows sans en demander beaucoup.

Je lance le jeu avec optirun en allant dans les paramètres de lancement et en mettant : optirun %command%
j'ai essayer avec primusrun %command% mais ca ne marche pas nn plus

Non effectivement j'ai pas penser au i386, comment je procède ? EDIT2: non c'est bon en fait c'est bien installer

Par contre pour la version du driver je ne saurais pas quoi dire lol

EDIT: je viens de voir la modification sur ton second message, le wiki de optimus je l'ai deja regarder et les commandes de selection de la carte graphique ne fonctionnent pas, la commande prime-select n'est pas reconnue

Dernière modification par KyoTensu (23-08-2021 23:36:11)

Hors ligne

#8 24-08-2021 00:32:51

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : bumblebee ne fonctionne pas

tu a installer steam a partir du paquet debian ou autrement ?
c'est un jeux linux ou windows ?
pour la version du driver en tout cas ne vient pas des dépôt debian

Hors ligne

#9 24-08-2021 01:21:29

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

pour steam je suis aller chercher le paquet sur le site et je l'ai installer avec gdebi.
les jeux que j'ai installer sont tous des jeux windows, je devrais essayer avec un jeu linux pour voir.
pour le driver je n'ai pas pris de driver moi-même sur internet donc je ne vois pas d'ou il vient si ce n'est pas du dépôt debian.

EDIT : Je viens de tester avec 2 jeux compatibles linux, ils fonctionnent mais pour les lancer avec optirun il faut utiliser "steam linux runtime" en compatibilité

Dernière modification par KyoTensu (24-08-2021 01:58:58)

Hors ligne

#10 24-08-2021 04:09:09

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : bumblebee ne fonctionne pas

Hello,

Tu peux essayer aussi Lutris, qui intègre plein de "runners" comme Windows, Name ect...
Ça utilise Wine pour les jeux Windows et c'est bien paramètrable.
La plateforme Steam est présente aussi sur Lutris.
Tu auras peut-être plus de chances de réussite.
vpASTM4l.png
x4qII81l.png
xz9xapcl.png

Dernière modification par Tawal (24-08-2021 04:12:06)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#11 24-08-2021 09:47:42

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : bumblebee ne fonctionne pas

Bonjour
tu est en sid et pas en bullseye comme debian => https://packages.debian.org/fr/sid/nvidia-driver
bon jeux smile

Hors ligne

#12 24-08-2021 10:29:33

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

@Tawal

Ça utilise Wine pour les jeux Windows et c'est bien paramètrable.
La plateforme Steam est présente aussi sur Lutris.



Je suis pas sur de comprendre, Lutris fais tourner steam en entier avec wine ou il se met en "lien" avec lui et fais tourner juste les jeux, à la manière de proton ?
Et aussi du coup ça s'utiliserai à la place de proton j'imagine ?

Hors ligne

#13 24-08-2021 14:00:09

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : bumblebee ne fonctionne pas

Ben je ne sais pas trop exactement, vu que je n'utilise pas du tout Steam.
Mais je pense que Lutris ne fait tourner que les jeux et permet de te connecter à Steam.

Personnellement, je ne l'utilise que pour des jeux "purs" Windows (comme Heroes of Might and Magic V)  et aussi pour les jeux natifs Linux (comme Enemy Territory avec le mode Omni-bot qui permet de jouer hors connexion).

Désolé de ne pas t'en apprendre plus, je ne suis pas un réel gamer smile


Mais peut-être que Lutris avec ses librairies pourrait faire tourner ton jeu avec ta carte dédiée.
Il est dans les dépôts Bullseye contrib :

sudo apt show lutris


[sudo] Mot de passe de tawal :
Package: lutris
Version: 0.5.8.3-2
Priority: optional
Section: contrib/games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Installed-Size: 2178 kB
Depends: python3:any, python3-yaml, python3-lxml, python3-requests, python3-pil, python3-gi, python3-setproctitle, python3-magic, python3-distro, python3-dbus, gir1.2-gtk-3.0, gir1.2-gnomedesktop-3.0, gir1.2-webkit2-4.0, gir1.2-notify-0.7, psmisc, cabextract, unzip, p7zip, curl, fluid-soundfont-gs, x11-xserver-utils, mesa-utils
Recommends: python3-evdev, gvfs-backends, libwine-development, winetricks
Suggests: gamemode
Homepage: https://lutris.net
Download-Size: 574 kB
APT-Manual-Installed: yes
APT-Sources: https://deb.debian.org/debian bullseye/contrib amd64 Packages
Description: open source gaming platform
 Lutris goal is to make gaming on Linux as easy as possible by taking care of
 installing and setting up the game for the user. The only thing you have to do
 is play the game. It aims to support every game that is playable on Linux.

 


En tous cas, Lutris m'a permis de régler les problèmes que j'avais avec HoMM V (soucis de dé-zoom).
Et aussi les soucis de sons de Enemy Territory.
Ça a aussi permis à un des mes potes d'installer Pokerstars, PlayOnLinux plantait toujours lors de l'installation.

Je ne connais pas Proton, donc je ne peux t'en dire plus pour tes soucis, encore désolé sad

Mais je pense que ça vaut le coup d'essayer, ne sait-on jamais n'est-ce pas wink

Dernière modification par Tawal (24-08-2021 14:03:25)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#14 24-08-2021 14:12:00

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

ok dacc je vais voir ca pour les jeux windows, en plus j'ai regarder sur leur site et apparement il y aurais l'epic game store ce qui m'interrresse aussi donc on va voir.

Il devrait fonctionner par défaut avec la carte dédiée ou est ce qu'il faudra que je lance lutris avec optirun par exemple ?

Hors ligne

#15 24-08-2021 14:18:19

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : bumblebee ne fonctionne pas

Je connais très mal  les cartes Nvidia, ça fait longtemps que je les évite vu les soucis qu'il y a entre elles et Linux.
Mais tu devrais avoir des réglages dans Lutris pour forcer l'utilisation de cette carte wink

Edit:
J'ai le choix d'utiliser ou pas Vulkan avec ma carte Ati/Radeon wink

Edit2:
Les bons paquets doivent être installés, regarde bien les erreurs qui pourraient apparaître lors de l'installation de ton jeu, cela pourrait te renseigner sur les paquets utiles/manquants wink

Dernière modification par Tawal (24-08-2021 14:23:26)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#16 24-08-2021 14:23:20

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

OK bah je vais voir ceci merci merci.gif

Maintenant il faut que je fasse de la place sur ma partition racine pour pouvoir installer lutris lol

Hors ligne

#17 24-08-2021 14:24:29

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : bumblebee ne fonctionne pas

KyoTensu a écrit :

Maintenant il faut que je fasse de la place sur ma partition racine pour pouvoir installer lutris

Oh quand même !
J'ai édité mon message précédent wink

Edit:
Lutris ne prend pas beaucoup de place (2Mo environ)
Et les jeux sont installables dons un dossier de ton choix.

Edit2:
2Mo .. quoique avec les dépendances ...

Dernière modification par Tawal (24-08-2021 14:29:57)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#18 24-08-2021 14:33:51

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

quand j'ai fait un apt install lutris ca m'a donner une installation de 1 440 Mo environ ^^' du coup elle a pas pu terminée car j'avais pas assez de place malheureusement

Hors ligne

#19 24-08-2021 14:42:33

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : bumblebee ne fonctionne pas

[Hors sujet]
Si tu n'as pas 1,5Go de place sur ta partition système, il est temps de penser à l'agrandir.
Car avec mes 5Go d'espace libre (sur 20Go au total), j'y pense déjà ...
[/Hors Sujet]

Lutiris installe ses version de wine, c'est sûrement ça qui demande de la place.

Dernière modification par Tawal (24-08-2021 14:43:39)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#20 24-08-2021 14:49:51

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : bumblebee ne fonctionne pas

en simulation il me dit 233 paquets (beaucoup en i386)  , steam n'est pas installer sur la machine.
a ce propos le paquet debian dont je t'ai parler (toujours mieux de rester sur les dépôts debian quand c'est possible )


apt policy steam
steam:i386:
  Installé : (aucun)
  Candidat : 1.0.0.68-1
 Table de version :
     1.0.0.68-1 500
        500 https://deb.debian.org/debian bullseye/non-free i386 Packages
 

Hors ligne

#21 24-08-2021 15:15:28

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

@Tawal je vais regarder pour agrandir ma partition oui ce sera mieux

@robert2a

a ce propos le paquet debian dont je t'ai parler (toujours mieux de rester sur les dépôts debian quand c'est possible )



euh.... oui ?scratchhead.gif

Hors ligne

#22 24-08-2021 15:40:49

KyoTensu
Membre
Distrib. : Debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : KDE plasma
Inscription : 17-08-2021

Re : bumblebee ne fonctionne pas

Bon bah maintenant j'ai debian qui a crash et qui veut plus démarrer yes.gif

Je suis en train de me dire que c'est peut être pas le bon moment pour passer sur linux, il y a quand même bcp de problème de compatibilité, j'ai déjà passer presque toute la semaine dernière a juste faire boot debian avec grub puis faire fonctionner la carte réseau puis monter le second disque dur, et si ça doit prendre autant de temps pour chaque problème rencontré ça va pas le faire lol

En plus en tant qu'étudiant je peut pas me permettre d'avoir ce genre de soucis car j'aurai pas vraiment le temps de m'en occuper donc je pense qu'il vaut mieux que j'apprenne d'abord a utiliser linux sur une VM et que je m'y mette quand j'aurais vraiment un ordi fixe avec lequel faire un truc propre

EDIT : Vu que j'ai pas de docs importants, je vais juste refaire une installation de windows comme j'avais avant en enlevant tout au passage, ce sera déjà une bonne remise a niveau sur mon ordi. Mais en tout cas merci quand même pour l'aide et j'espère que ce thread pourra permettre d'aider d'autres personnes big_smile
Je repasserai sur le forum surement tjrs pour de l'aide si je continu sur une VM

Dernière modification par KyoTensu (24-08-2021 16:25:15)

Hors ligne

Pied de page des forums